Uploaded image for project: 'Couchbase Kubernetes'
  1. Couchbase Kubernetes
  2. K8S-2202

Make footnote compatible with Asciidoctor 2

    XMLWordPrintable

Details

    • Page
    • Status: Closed
    • Major
    • Resolution: Fixed
    • None
    • 2.0.0, 2.1.0
    • documentation
    • None
    • 1

    Description

      https://docs.couchbase.com/operator/2.1/concept-couchbase-networking.html

      The above page includes a footnote that uses asciidoc syntax that is not compatible with the upcoming Asciidoctor 2 release: https://github.com/couchbase/couchbase-operator/pull/19

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          simon.murray Simon Murray added a comment -

          So should be updating the CI jobs to catch all these errors?? What happens if you update package.json?

          simon.murray Simon Murray added a comment - So should be updating the CI jobs to catch all these errors?? What happens if you update package.json?

          I don't know what's being used to catch these errors right now. Since Dan provided the actual syntax to fix this particular issue, I suspect OpenDevise is contracted to find these errors for us so that it is a clean migration to Antora 3.0beta/GA.

          eric.schneider Eric Schneider (Inactive) added a comment - I don't know what's being used to catch these errors right now. Since Dan provided the actual syntax to fix this particular issue, I suspect OpenDevise is contracted to find these errors for us so that it is a clean migration to Antora 3.0beta/GA.
          simon.murray Simon Murray added a comment -

          Well what should happen is you say "we're moving to antora 3.0.0-alpha.5" or something off of the versions tab here... https://www.npmjs.com/package/@antora/cli

          Then we apply a tiny patch:

          diff --git a/package.json b/package.json
          index 62281d80..7e2b255d 100644
          --- a/package.json
          +++ b/package.json
          @@ -2,8 +2,8 @@
             "name": "couchbase-operator",
             "version": "2.1.0",
             "dependencies": {
          -    "@antora/cli": "3.0.0-alpha.1",
          -    "@antora/site-generator-default": "3.0.0-alpha.1",
          +    "@antora/cli": "3.0.0-alpha.5",
          +    "@antora/site-generator-default": "3.0.0-alpha.5",
               "@antora/xref-validator": "git+https://gitlab.com/antora/xref-validator.git"
             }
           }
          

          And hopefully, if Antora works correctly, it will spit out any syntax errors automatically without humans to mess them up. If nothing is raised, where there should be, then Antora has a bug that needs to be fixed as it's spitting out files that it should know are broken.

          simon.murray Simon Murray added a comment - Well what should happen is you say "we're moving to antora 3.0.0-alpha.5" or something off of the versions tab here... https://www.npmjs.com/package/@antora/cli Then we apply a tiny patch: diff --git a/package.json b/package.json index 62281d80..7e2b255d 100644 --- a/package.json +++ b/package.json @@ -2,8 +2,8 @@ "name": "couchbase-operator", "version": "2.1.0", "dependencies": { - "@antora/cli": "3.0.0-alpha.1", - "@antora/site-generator-default": "3.0.0-alpha.1", + "@antora/cli": "3.0.0-alpha.5", + "@antora/site-generator-default": "3.0.0-alpha.5", "@antora/xref-validator": "git+https://gitlab.com/antora/xref-validator.git" } } And hopefully, if Antora works correctly, it will spit out any syntax errors automatically without humans to mess them up. If nothing is raised, where there should be, then Antora has a bug that needs to be fixed as it's spitting out files that it should know are broken.

          It looks like Antora was upgraded to Asciidoctor 2 in version 3.0.0alpha3 (docs.couchbase.com is still on alpha2). So I guess it's blind luck (un-luck?) that we didn't run into an error

          eric.schneider Eric Schneider (Inactive) added a comment - It looks like Antora was upgraded to Asciidoctor 2 in version 3.0.0alpha3 (docs.couchbase.com is still on alpha2). So I guess it's blind luck (un-luck?) that we didn't run into an error

          People

            eric.schneider Eric Schneider (Inactive)
            eric.schneider Eric Schneider (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty